# Draw
TKDCAF
DrawDim

# DrawDim Class Reference

This package provides Drawable Dimensions.
The classes PlanarDimension and subclasses provide
services to build drawable dimensions between
point line and circle in a given 3d plane.
The classes Dimension and subclasses provide
services to build drawable dimensions between
plane and cylindrical surfaces.
.

`#include <DrawDim.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | DrawShapeName (const TopoDS_Shape &ashape, const Standard_CString aname)
static Standard_EXPORT void | AllCommands (Draw_Interpretor &I)
static Standard_EXPORT void | PlanarDimensionCommands (Draw_Interpretor &I)
| tools =====
static Standard_EXPORT gp_Pnt | Nearest (const TopoDS_Shape &aShape, const gp_Pnt &apoint)
static Standard_EXPORT Standard_Boolean | Lin (const TopoDS_Edge &e, gp_Lin &l, Standard_Boolean &infinite, Standard_Real &first, Standard_Real &last)
static Standard_EXPORT Standard_Boolean | Circ (const TopoDS_Edge &e, gp_Circ &l, Standard_Real &first, Standard_Real &last)
static Standard_EXPORT Standard_Boolean | Pln (const TopoDS_Face &f, gp_Pln &p)

## Member Function Documentation

static Standard_EXPORT void DrawDim::AllCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT Standard_Boolean DrawDim::Circ | ( | const TopoDS_Edge & | e,
|  | gp_Circ & | l,
|  | Standard_Real & | first,
|  | Standard_Real & | last
| ) | `[static]`

static Standard_EXPORT void DrawDim::DrawShapeName | ( | const TopoDS_Shape & | ashape,
|  | const Standard_CString | aname
| ) | `[static]`

static Standard_EXPORT Standard_Boolean DrawDim::Lin | ( | const TopoDS_Edge & | e,
|  | gp_Lin & | l,
|  | Standard_Boolean & | infinite,
|  | Standard_Real & | first,
|  | Standard_Real & | last
| ) | `[static]`

static Standard_EXPORT gp_Pnt DrawDim::Nearest | ( | const TopoDS_Shape & | aShape,
|  | const gp_Pnt & | apoint
| ) | `[static]`

void DrawDim::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DrawDim::operator new | ( | size_t | size | ) | `[inline]`

void* DrawDim::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void DrawDim::PlanarDimensionCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT Standard_Boolean DrawDim::Pln | ( | const TopoDS_Face & | f,
|  | gp_Pln & | p
| ) | `[static]`

The documentation for this class was generated from the following file:

- DrawDim.hxx